Bug 289256 - When an error occurs during session verification, the FB export dialog ends up in an unusable state
Summary: When an error occurs during session verification, the FB export dialog ends u...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Plugin-WebService-Facebook (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-18 07:46 UTC by Dirk Tilger
Modified: 2018-01-30 21:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Tilger 2011-12-18 07:46:03 UTC
Version:           unspecified (using Devel) 
OS:                Linux

When an error occurs during session verification, the FB export dialog ends up in an unusable state.

Reproducible: Always

Steps to Reproduce:
Block https (I guess). Start digikam. Open a previously authenticated Facebook exporter.

Actual Results:  
The window ends up in a state the requires a logout from the Facebook session to continue.

Expected Results:  
If session verification fails and I close the window and reopen it, it should be behave as if the session never had been verified.

digikam(31049)/KIPI (loading) KIPIPlugins::KPAboutData::KPAboutData: 0x13546c6d5a
digikam(31049)/KIPI (general) KIPIFacebookPlugin::FbWindow::FbWindow: Calling Login method
digikam(31049)/KIPI (general) KIPIFacebookPlugin::FbWindow::authenticate: Calling Login method
digikam(31049)/KIPI (general) KIPIFacebookPlugin::FbTalker::getCallString: CALL:  "access_token=bla bla bla"
digikam(31049)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x135460fe10)
digikam(31049)/kio (Scheduler) KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "https"
digikam(31049)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 20 m_maxConnectionsPerHost: 5
digikam(31049)/kio (Slave) KIO::Slave::createSlave: createSlave "https" for KUrl("https://api.facebook.com/method/users.getLoggedInUser")
digikam(31049)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-dirk/digikaml31049.slave-socket"
[GUI] Refreshing icon and submission status menu
klauncher(5839)/kio (KLauncher) KLauncher::requestSlave: KLauncher: launching new slave  "kio_http"  with protocol= "https"  args= ("https", "local:/tmp/ksocket-dirk/klauncherMT5839.slave-socket", "local:/tmp/ksocket-dirk/digikaml31049.slave-socket")
klauncher(5839)/kio (KLauncher) KLauncher::processRequestReturn: "kio_http" (pid 512) up and running.
kio_http(512)/kio_http_debug HTTPProtocol::reparseConfiguration:
digikam(31049)/KIPI (general) KIPIPlugins::ImagesListViewItem::setThumb: Received new thumbnail for url  KUrl("file:///home/dirk/Pictures/2011/DSC_0307.jpg") . My view is  KIPIPlugins::ImagesListView(0x135427fa70)
digikam(31049)/kio (Slave) KIO::Slave::timeout: slave failed to connect to application pid= 512  protocol= "https"
digikam(31049)/kio (Slave) KIO::Slave::timeout: slave is slow... pid= 512  t= 13
digikam(31049)/kio (Slave) KIO::Slave::timeout: Houston, we lost our slave, pid= 512
digikam(31049)/kio (Slave) KIO::Slave::timeout: slave died pid =  512
digikam(31049)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("https://api.facebook.com/method/users.getLoggedInUser")
Comment 1 Dirk Tilger 2011-12-18 07:47:07 UTC
Assigning to myself for now, as this is a quick shot to fix and I can do it myself.
Comment 2 caulier.gilles 2015-05-19 11:33:00 UTC
Dirk,

What's new about this file ?

Gilles Caulier
Comment 3 Shourya Singh Gupta 2015-07-21 10:38:07 UTC
Git commit 946a4ed104c954f532efc27061a740b9904e317d by Shourya Singh Gupta.
Committed on 21/07/2015 at 10:37.
Pushed by shouryasinghgupta into branch 'master'.

Facebook up and running now
Related: bug 319252, bug 240254, bug 347194
FIXED-IN: 4.12.0

A  +638  -0    0001-Testing-Youtube-integration.patch
M  +4    -1    facebook/fbwindow.cpp

http://commits.kde.org/kipi-plugins/946a4ed104c954f532efc27061a740b9904e317d
Comment 4 Shourya Singh Gupta 2015-07-21 10:43:02 UTC
Unwanted file 0001-Testing-Youtube-integration.patch that got added in this commit was removed in the next commit.